| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Member Functions | List of all members
Digikam::DGradientSlider Class Reference
Inheritance diagram for Digikam::DGradientSlider:

## Public Slots
void | setLeftValue (double)
void | setMiddleValue (double)
void | setRightValue (double)

## Signals
void | leftValueChanged (double)
void | middleValueChanged (double)
void | rightValueChanged (double)

## Public Member Functions
| DGradientSlider (QWidget *const parent=nullptr)
int | gradientOffset () const
double | leftValue () const
double | middleValue () const
double | rightValue () const
void | setColors (const QColor &lcolor, const QColor &rcolor)
void | showMiddleCursor (bool b)

## Protected Member Functions
void | leaveEvent (QEvent *) override
void | mouseMoveEvent (QMouseEvent *) override
void | mousePressEvent (QMouseEvent *) override
void | mouseReleaseEvent (QMouseEvent *) override
void | paintEvent (QPaintEvent *) override